/*--------------------------------------------------------------------------*
  strfn.h  (c) Copyright 1991,92 Tobias Ferber.  All Rights Reserved.
 *--------------------------------------------------------------------------*/

#include <exec/types.h>
#include <libraries/dosextens.h>
#include <stdio.h>

#define _SLASH    '/'
#define _COLON    ':'
#define _PERIOD   '.'

#define DLT_UNKNOWN -1L /* device not found (not mounted) */

#define isdev(x) (dltype(x)==DLT_DEVICE)
#define isvol(x) (dltype(x)==DLT_VOLUME)
#define isdir(x) (dltype(x)==DLT_DIRECTORY)

extern BOOL fexist();   /* file exists? */
extern long dltype();   /* get the device list type */
extern char *strmfn();  /* make file name */
extern void strsfn();   /* split file name */
extern int stcgfd();    /* get file drive */
extern int stcgfp();    /* get file path w/ drive name */
extern int stcgfn();    /* get file name w/ extension(s) */
extern int stcgfe();    /* get last file extension */
extern void strmfe();   /* make file name with new extension */
extern void strmfp();   /* make filename: path (+ slash) + node */
